---
import { Image } from "@astrojs/image/components";
import Link from "./Link.astro";
import { slugify, formatDate } from "../js/utils";

const { data, url, tagType } = Astro.props;

const Tag = tagType;

const { title, date, author, image, description, category } = data;
---

<div class="news-slider__item swiper-slide">
  <div class="news__item">
    <div class="news__header">
      <div class="news__title">
        <a href={`/blog/${url}/`}>{title}</a>
      </div>
      <small>
        by <a href={`/author/${slugify(author)}/`}>{author}</a>{" "}
        • {formatDate(date)}
      </small>

      <p class="news__txt">{description}</p>
    </div>

    <div class="news__img">
      <a href={`/blog/${url}/`} aria-hidden="true" tabindex="-1">
        <Image
          src={image.src}
          alt={image.alt}
          width="400"
          height="250"
          format="webp"
          fit="cover"
          quality={80}
          aspectRatio="4:1"
        />
      </a>
    </div>
  </div>
</div>

